%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Allows users to set the "DontZap" option in xorg.conf
Name:    dontzap
Version: 0.1.2
Release: 1%{?dist}
Source0: https://launchpad.net/ubuntu/jaunty/+source/dontzap/0.1.2/+files/%{name}_%{version}.tar.gz
License: LGPLv2
Group:   User Interface/X
Url:     https://launchpad.net/dontzap
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires: python-devel 
Requires: x-kit python
BuildArch: noarch

%description
DontZap is an application written in Python which relies on X-Kit 
and allows users to set the "DontZap" option in xorg.conf.

%prep
%setup -q -n main

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
rm -rf %{buildroot}%{python_sitelib}/dontzap-0.0.0-py2.5.egg-info

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README PKG-INFO
%{python_sitelib}/DontZap
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog

* Tue Apr 07 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.2-1
- Initial spec file.
